import request from '@/utils/request'

/**
 * 工单列表
 * @param {YW_Content_Code,YW_Type_Code} data
 * @returns
 */
export function list(data) {
  return request({
    url: '/api/convenience/v2/services/list',
    method: 'get',
    params: data
  })
}

/**
 * 工单类型列表
 * @returns
 */
export function typeList() {
  return request({
    url: '/api/convenience/v2/services/type/list',
    method: 'get'
  })
}

/**
 * 发起办事
 * @param {residentInformation,eventTypeId,sponsor,remark,Attachment} data
 * @returns
 */
export function add(data) {
  return request({
    url: '/api/convenience/v2/services/create',
    method: 'post',
    data
  })
}

/**
 * 工单详情
 * @param {工单id} id
 * @returns
 */
export function info(id) {
  return request({
    url: '/api/convenience/v2/services/info',
    method: 'get',
    params: id
  })
}

/**
 * 工单操作
 * @param {id,version,type,ids,remark,attachmentList,approve,evaluation} data
 * @returns
 */
export function update(data) {
  return request({
    url: '/api/convenience/v2/services/update',
    method: 'post',
    data
  })
}

/**
 * 获取沟通人员列表
 * @param {id} data
 * @returns
 */
export function communicationList(data) {
  return request({
    url: '/api/convenience/v2/services/communicationList',
    method: 'post',
    data
  })
}
